My Project: SignOn::SessionData Class Reference

My Project

Public Member Functions | Protected Attributes | List of all members
SignOn::SessionData Class Reference

Data container to hold values for authentication session. More...

`#include <SignOn/SessionData>`

## Public Member Functions
| SessionData (const QVariantMap &data=QVariantMap())
| Constructor.
| SessionData (const SessionData &other)
| Copy constructor.
SessionData & | operator= (const SessionData &other)
| Assignment operator.
SessionData & | operator+= (const SessionData &other)
| Addition operator.
const QStringList | propertyNames () const
| Access the list of runtime existing properties of the SessionData.
const QVariant | getProperty (const QString &propertyName) const
| Access the list of runtime existing properties of the SessionData.
QStringList | getAccessControlTokens () const
| Gets the access control tokens that the requesting application has.
template<class T >
T | data () const
| Creates an instance of type T, which must be derived from SessionData.
QVariantMap | toMap () const
| Gets the QVariantMap of session parameters.

## Protected Attributes
QVariantMap | m_data
| Declares the property Secret setter and getter.

## Detailed Description

Data container to hold values for authentication session.

Inherit this class if you want to extend the property range.

Warning
  All this class' definitions must be inline.

Definition at line 91 of file sessiondata.h.

## Constructor & Destructor Documentation

## ◆ SessionData() [1/2]

SignOn::SessionData::SessionData | ( | const QVariantMap & | data = QVariantMap() | ) |
| inline

Constructor.

Creates a SessionData with data 'data'.

Parameters

  data | The data to be contained by the SessionData

Attention
  internal use only recommended. As a SSO client application developer use setters/gettters for specific SessionData properties.

Definition at line 100 of file sessiondata.h.

## ◆ SessionData() [2/2]

SignOn::SessionData::SessionData | ( | const SessionData & | other | ) |
| inline

Copy constructor.

Parameters

  other | SessionData object to be copied to this instance

Definition at line 106 of file sessiondata.h.

References m_data.

## Member Function Documentation

## ◆ data()

template<class T >

T SignOn::SessionData::data | ( |  | ) | const
| inline

Creates an instance of type T, which must be derived from SessionData.

The instance will contain the data of this instance.

Returns
  Instance of type T, containing the data of this instance.

Definition at line 161 of file sessiondata.h.

## ◆ getAccessControlTokens()

QStringList SignOn::SessionData::getAccessControlTokens | ( |  | ) | const
| inline

Gets the access control tokens that the requesting application has.

Note
  to be used by the plugins developers only.

Definition at line 152 of file sessiondata.h.

## ◆ getProperty()

const QVariant SignOn::SessionData::getProperty | ( | const QString & | propertyName | ) | const
| inline

Access the list of runtime existing properties of the SessionData.

Parameters

  propertyName | Name of the property to be accessed

Returns
  Variant containing the property value of propertyName, or an empty variant if property does not exist at runtime.

Definition at line 144 of file sessiondata.h.

## ◆ operator+=()

SessionData & SignOn::SessionData::operator+= | ( | const SessionData & | other | ) |
| inline

Addition operator.

Parameters

  other | SessionData object to be added to this instance.

Returns
  reference to this object

Definition at line 123 of file sessiondata.h.

References m_data.

## ◆ operator=()

SessionData & SignOn::SessionData::operator= | ( | const SessionData & | other | ) |
| inline

Assignment operator.

Parameters

  other | SessionData object to be assigned to this instance

Returns
  Reference to this object

Definition at line 113 of file sessiondata.h.

References m_data.

## ◆ propertyNames()

const QStringList SignOn::SessionData::propertyNames | ( |  | ) | const
| inline

Access the list of runtime existing properties of the SessionData.

Returns
  String list containing the property names

Definition at line 134 of file sessiondata.h.

## ◆ toMap()

QVariantMap SignOn::SessionData::toMap | ( |  | ) | const
| inline

Gets the QVariantMap of session parameters.

Returns
  A map of the session parameters.

Definition at line 171 of file sessiondata.h.

## Member Data Documentation

## ◆ m_data

QVariantMap SignOn::SessionData::m_data
| protected

Declares the property Secret setter and getter.

setSecret(const QString secret); const QString Secret() const;

Declares the property UserName setter and getter.

Declares the property Realm setter and getter. Realm that is used for authentication.

Declares the property NetworkProxy setter and getter. Network proxy to be used instead of system default.

Declares the property UiPolicy setter and getter. Use UiPolicy to define how plugin interacts with the user.

See also
  SignonUiPolicy

Declares the property Caption setter and getter. Caption is to tell user which application/credentials/provider is requesting signon-ui.

Note
  Caption is taken from database if not defined by application or authentication plugin.

Declares the property NetworkTimeout setter and getter. Sets the timeout for network related operations in milliseconds. To be used when a remote service does not reply in a reasonable amount of time.

Declares the property WindowId setter and getter. This is to be used for setting signon-ui dialog application modal.

Declares the property RenewToken setter and getter. This is used by a signon plugin to check whether the access token has to be renewed. When this property is set, the signon plugin will remove the old set of access tokens and get a new set.

Definition at line 238 of file sessiondata.h.

Referenced by operator+=(), operator=(), and SessionData().

The documentation for this class was generated from the following file:

- sessiondata.h